import { jsx as _jsx } from "react/jsx-runtime";
import { useEffect, useRef } from 'react';
import { useAnchoredCommentsContext } from '../contexts/AnchoredCommentsContext';
const ContentView = ({ contentId, children, }) => {
    const viewRef = useRef(null);
    const { contentViews } = useAnchoredCommentsContext();
    useEffect(() => {
        contentViews.current[contentId] = viewRef;
        return () => {
            delete contentViews.current[contentId];
        };
    }, [contentId]);
    return (_jsx("div", { "data-content-id": contentId, ref: viewRef, children: children }));
};
export default ContentView;
//# sourceMappingURL=ContentView.js.map