import { jsx as _jsx } from "react/jsx-runtime";
import { useAnchoredCommentsContext } from '../contexts/AnchoredCommentsContext';
import CommentView from './CommentView';
const NewComment = ({ children, }) => {
    const { state, dispatch } = useAnchoredCommentsContext();
    const { newComment } = state;
    if (!newComment)
        return null;
    const onAddSuccess = (newCommentId) => {
        dispatch({
            type: 'ADD_ANCHOR',
            payload: {
                id: newCommentId,
                selectionRange: {
                    contentId: newComment.selectionRange.contentId,
                    startOffset: newComment.selectionRange.startOffset,
                    endOffset: newComment.selectionRange.endOffset,
                },
            },
        });
    };
    const onCancel = () => {
        dispatch({ type: 'CANCEL_NEW_COMMENT' });
    };
    return (_jsx(CommentView, { commentId: newComment.id, children: children({
            selectionRange: newComment.selectionRange,
            onAddSuccess,
            onCancel,
        }) }));
};
export default NewComment;
//# sourceMappingURL=NewComment.js.map