import { jsx as _jsx } from "react/jsx-runtime";
import { useAnchoredCommentsContext } from '../contexts/AnchoredCommentsContext';
import { getAbsoluteTop, getTotalScrollOffset, } from '../utils/elementPosition';
const NewCommentTrigger = ({ contentSectionRef, children, right, }) => {
    var _a;
    const { state, dispatch } = useAnchoredCommentsContext();
    const { selection } = state;
    if (!selection)
        return null;
    const handleClick = () => {
        dispatch({ type: 'SHOW_NEW_COMMENT' });
    };
    const contentSectionAbsoluteTop = contentSectionRef.current
        ? getAbsoluteTop(contentSectionRef.current, getTotalScrollOffset(contentSectionRef.current))
        : 0;
    return (_jsx("button", { onClick: handleClick, style: {
            cursor: 'pointer',
            border: 'none',
            background: 'none',
            position: 'absolute',
            top: `${((_a = selection.positionTop) !== null && _a !== void 0 ? _a : 0) - contentSectionAbsoluteTop}px`,
            right,
            zIndex: 100,
        }, children: children }));
};
export default NewCommentTrigger;
//# sourceMappingURL=NewCommentTrigger.js.map