import { NEW_COMMENT_ID } from '../constants';
export const anchoredReducers = (state, action) => {
    switch (action.type) {
        case 'SET_ACTIVE_COMMENT_ID':
            return Object.assign(Object.assign({}, state), { activeCommentId: action.payload });
        case 'SET_SELECTION':
            return Object.assign(Object.assign({}, state), { selection: action.payload });
        case 'SET_ACTIVE_COMMENT_AND_SELECTION':
            return Object.assign(Object.assign({}, state), { activeCommentId: action.payload.activeCommentId, selection: action.payload.selection });
        case 'SHOW_NEW_COMMENT':
            if (!state.selection)
                return state; // Cannot show new comment without a selection
            return Object.assign(Object.assign({}, state), { newComment: {
                    id: NEW_COMMENT_ID,
                    selectionRange: state.selection,
                }, activeCommentId: 'new', selection: null });
        case 'CANCEL_NEW_COMMENT':
            return Object.assign(Object.assign({}, state), { newComment: null, activeCommentId: state.activeCommentId === 'new'
                    ? null
                    : state.activeCommentId });
        case 'UPDATE_COMMENT_HEIGHT':
            return Object.assign(Object.assign({}, state), { commentHeights: Object.assign(Object.assign({}, state.commentHeights), { [action.payload.id]: action.payload.height }) });
        case 'UPDATE_TEXT_POSITIONS':
            return Object.assign(Object.assign({}, state), { textPositions: action.payload });
        case 'UPDATE_CONTENT_SECTION_OFFSETY':
            return Object.assign(Object.assign({}, state), { contentSectionOffsetY: action.payload });
        case 'UPDATE_COMMENT_SECTION_OFFSETY':
            return Object.assign(Object.assign({}, state), { commentSectionOffsetY: action.payload });
        case 'ADD_ANCHOR':
            return Object.assign(Object.assign({}, state), { anchors: [...state.anchors, action.payload], newComment: null, activeCommentId: action.payload.id });
        case 'DELETE_ANCHOR':
            return Object.assign(Object.assign({}, state), { anchors: state.anchors.filter(comment => comment.id !== action.payload.id), activeCommentId: state.activeCommentId === action.payload.id
                    ? null
                    : state.activeCommentId, commentHeights: Object.keys(state.commentHeights).reduce((acc, id) => id !== action.payload.id
                    ? Object.assign(Object.assign({}, acc), { [id]: state.commentHeights[id] }) : acc, {}) });
        case 'SET_ANCHORS':
            return Object.assign(Object.assign({}, state), { anchors: action.payload });
        default:
            return state;
    }
};
//# sourceMappingURL=anchoredReducers.js.map