/**
 * Calculates the total offset of a target node within an element's text content.
 * @param element - The container element.
 * @param targetNode - The specific node to find the offset for.
 * @param offsetInNode - The offset within the target node.
 * @returns The total offset in the element's text content, or -1 if not found.
 */
export declare const getOffsetInTextContent: (element: Element, targetNode: Node, offsetInNode: number) => number;
/**
 * Finds the text node and offset within that node given a total offset in the element's text content.
 * @param element - The container element.
 * @param targetOffset - The total offset to find.
 * @returns An object containing the found text node and offset within it, or null if not found.
 */
export declare const findNodeAndOffsetFromTotalOffset: (element: Element, targetOffset: number) => {
    node: Text;
    offset: number;
} | null;
